# $Revision: 1.7 $, $Date: 2011/01/23 01:22:35 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	URI_Template
Summary:	%{_pearname} - Parser for URI Templates
Summary(pl.UTF-8):	%{_pearname} - parser szablonów URI
Name:		php-pear-%{_pearname}
Version:	0.3.3
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	5edd1993a62dd5e1c8e4438d10652455
URL:		http://pear.php.net/package/URI_Template/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear >= 1.0-23
Obsoletes:	php-pear-URI_Template-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
URI_Template is a parser for URI Templates as defined in the URI
Template specification (http://bitworking.org/projects/URI-Templates).

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
URI_Template to parser szablonów URI zdefiniowanych w specyfikacji
szablonów URI (http://bitworking.org/projects/URI-Templates).

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

# package maintainer helpers
rm .%{php_pear_dir}/data/URI_Template/runtests.sh

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/URI/Template.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-URI_Template.spec,v $
Revision 1.7  2011/01/23 01:22:35  sparky
- tests are no longer installed - don't try to remove them

Revision 1.6  2010/12/06 09:47:33  glen
- up to 0.3.3

Revision 1.5  2010/11/15 16:12:57  glen
- up to 0.3.2

Revision 1.4  2010/08/22 08:51:43  glen
- ensure rpmbuild macros present

Revision 1.3  2010/01/04 15:20:12  adamg
- updated to 0.3.1

Revision 1.2  2008/10/11 09:00:03  adamg
- updated to 0.3.0

Revision 1.1  2008-05-18 16:12:22  adamg
- new
